Bug 1471939 - pre-jewel "osd rm" incrementals are misinterpreted [NEEDINFO]
pre-jewel "osd rm" incrementals are misinterpreted
Status: POST
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
1.3.3
x86_64 Linux
medium Severity high
: rc
: 2.4
Assigned To: Josh Durgin
ceph-qe-bugs
:
Depends On:
Blocks: 1473436
  Show dependency treegraph
 
Reported: 2017-07-17 13:47 EDT by Vikhyat Umrao
Modified: 2017-09-14 16:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tserlin: needinfo? (jdurgin)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 19119 None None None 2017-07-17 14:23 EDT
Ceph Project Bug Tracker 19210 None None None 2017-07-17 14:22 EDT

  None (edit)
Description Vikhyat Umrao 2017-07-17 13:47:46 EDT
Description of problem:
pre-jewel "osd rm" incrementals are misinterpreted
http://tracker.ceph.com/issues/19119

Upstream PR: https://github.com/ceph/ceph/pull/13730
Release notes:https://github.com/ceph/ceph/pull/13731/files


* There was a bug introduced in Jewel (#19119) that broke the mapping behavior
  when an "out" OSD that still existed in the CRUSH map was removed with 'osd rm'. This could result in 'misdirected op' and other errors.  The bug is now fixed, but the fix itself introduces the same risk because the behavior may vary between clients and OSDs.  

To avoid problems, please ensure that all OSDs are removed from the CRUSH map before deleting them.  That is, be sure to do::

   ceph osd crush rm osd.123

before::

   ceph osd rm osd.123


We have a Kernel RBD RHEL 7.4 bug https://bugzilla.redhat.com/show_bug.cgi?id=1427556 which depends on this bug.


Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 1.3.3
Comment 4 Ian Colle 2017-08-16 17:49:36 EDT
Moving to 2.5 until 2.4 proper is released.

Note You need to log in before you can comment on or make changes to this bug.